/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.pss.pssgerenciamentoderepublica.view;

import javax.swing.JMenuItem;

/**
 *
 * @author W-E-R
 */
public class PrincipalView extends javax.swing.JFrame {

    /**
     * Creates new form PrincipalView
     */
    public PrincipalView() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        mitManterRepublica = new javax.swing.JMenuItem();
        mitManterMoradores = new javax.swing.JMenuItem();
        mitConfirmarFeedBack = new javax.swing.JMenuItem();
        mitManterConvites = new javax.swing.JMenuItem();
        mitCriarRepublica = new javax.swing.JMenuItem();
        mitBuscarVagas = new javax.swing.JMenuItem();
        mitConsultaResultadoMensal = new javax.swing.JMenuItem();
        mitManterFeedBack = new javax.swing.JMenuItem();
        jMenu2 = new javax.swing.JMenu();
        mitManterPerfil = new javax.swing.JMenuItem();
        mitAceitarConvite = new javax.swing.JMenuItem();
        jMenu3 = new javax.swing.JMenu();
        mitManterTarefa = new javax.swing.JMenuItem();
        mitRegistrarConclusãoTarefa = new javax.swing.JMenuItem();
        jMenu4 = new javax.swing.JMenu();
        mitManterContas = new javax.swing.JMenuItem();
        mitRealizarEstorno = new javax.swing.JMenuItem();
        mitConsultarContas = new javax.swing.JMenuItem();
        mitRegistrarLancamento = new javax.swing.JMenuItem();
        jMenu5 = new javax.swing.JMenu();
        mitFechar = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Tela Principal");

        jMenu1.setText("Republica");

        mitManterRepublica.setText("Manter república");
        jMenu1.add(mitManterRepublica);

        mitManterMoradores.setText("Manter moradores");
        mitManterMoradores.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mitManterMoradoresActionPerformed(evt);
            }
        });
        jMenu1.add(mitManterMoradores);

        mitConfirmarFeedBack.setText("Confirmar solução de reclamações / sugestões");
        mitConfirmarFeedBack.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mitConfirmarFeedBackActionPerformed(evt);
            }
        });
        jMenu1.add(mitConfirmarFeedBack);

        mitManterConvites.setText("Convidar moradores / Aceitar convite");
        jMenu1.add(mitManterConvites);

        mitCriarRepublica.setText("Criar repíblica");
        mitCriarRepublica.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mitCriarRepublicaActionPerformed(evt);
            }
        });
        jMenu1.add(mitCriarRepublica);

        mitBuscarVagas.setText("Buscar vagas");
        jMenu1.add(mitBuscarVagas);

        mitConsultaResultadoMensal.setText("Consultar resultado mensal");
        mitConsultaResultadoMensal.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mitConsultaResultadoMensalActionPerformed(evt);
            }
        });
        jMenu1.add(mitConsultaResultadoMensal);

        mitManterFeedBack.setText("Manter reclamações / sugestões");
        jMenu1.add(mitManterFeedBack);

        jMenuBar1.add(jMenu1);

        jMenu2.setText("Morador");

        mitManterPerfil.setText("Manter perfil");
        jMenu2.add(mitManterPerfil);

        mitAceitarConvite.setText("Aceitar convite");
        jMenu2.add(mitAceitarConvite);

        jMenuBar1.add(jMenu2);

        jMenu3.setText("Tarefas");

        mitManterTarefa.setText("Manter tarefas");
        jMenu3.add(mitManterTarefa);

        mitRegistrarConclusãoTarefa.setText("Registrar conclusão da tarefa");
        jMenu3.add(mitRegistrarConclusãoTarefa);

        jMenuBar1.add(jMenu3);

        jMenu4.setText("Lançamentos");

        mitManterContas.setText("Manter receitas e despesas");
        jMenu4.add(mitManterContas);

        mitRealizarEstorno.setText("Fazer estorno de lançamentos");
        jMenu4.add(mitRealizarEstorno);

        mitConsultarContas.setText("Consultar minhas receitas e despesas");
        jMenu4.add(mitConsultarContas);

        mitRegistrarLancamento.setText("Registrar pagamento de receita ou despesa");
        jMenu4.add(mitRegistrarLancamento);

        jMenuBar1.add(jMenu4);

        jMenu5.setText("Sair");

        mitFechar.setText("Fechar");
        jMenu5.add(mitFechar);

        jMenuBar1.add(jMenu5);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 554, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 283, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void mitManterMoradoresActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_mitManterMoradoresActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_mitManterMoradoresActionPerformed

    private void mitConfirmarFeedBackActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_mitConfirmarFeedBackActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_mitConfirmarFeedBackActionPerformed

    private void mitCriarRepublicaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_mitCriarRepublicaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_mitCriarRepublicaActionPerformed

    private void mitConsultaResultadoMensalActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_mitConsultaResultadoMensalActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_mitConsultaResultadoMensalActionPerformed

    public JMenuItem getMitAceitarConvite() {
        return mitAceitarConvite;
    }

    public JMenuItem getMitBuscarVagas() {
        return mitBuscarVagas;
    }

    public JMenuItem getMitConfirmarFeedBack() {
        return mitConfirmarFeedBack;
    }

    public JMenuItem getMitConsultaResultadoMensal() {
        return mitConsultaResultadoMensal;
    }

    public JMenuItem getMitConsultarContas() {
        return mitConsultarContas;
    }

    public JMenuItem getMitCriarRepublica() {
        return mitCriarRepublica;
    }

    public JMenuItem getMitManterContas() {
        return mitManterContas;
    }

    public JMenuItem getMitManterConvites() {
        return mitManterConvites;
    }

    public JMenuItem getMitManterFeedBack() {
        return mitManterFeedBack;
    }

    public JMenuItem getMitManterMoradores() {
        return mitManterMoradores;
    }

    public JMenuItem getMitManterPerfil() {
        return mitManterPerfil;
    }

    public JMenuItem getMitManterRepublica() {
        return mitManterRepublica;
    }

    public JMenuItem getMitManterTarefa() {
        return mitManterTarefa;
    }

    public JMenuItem getMitRealizarEstorno() {
        return mitRealizarEstorno;
    }

    public JMenuItem getMitRegistrarConclusãoTarefa() {
        return mitRegistrarConclusãoTarefa;
    }

    public JMenuItem getMitRegistrarLancamento() {
        return mitRegistrarLancamento;
    }

    public JMenuItem getMitFechar() {
        return mitFechar;
    }

    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenu jMenu3;
    private javax.swing.JMenu jMenu4;
    private javax.swing.JMenu jMenu5;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem mitAceitarConvite;
    private javax.swing.JMenuItem mitBuscarVagas;
    private javax.swing.JMenuItem mitConfirmarFeedBack;
    private javax.swing.JMenuItem mitConsultaResultadoMensal;
    private javax.swing.JMenuItem mitConsultarContas;
    private javax.swing.JMenuItem mitCriarRepublica;
    private javax.swing.JMenuItem mitFechar;
    private javax.swing.JMenuItem mitManterContas;
    private javax.swing.JMenuItem mitManterConvites;
    private javax.swing.JMenuItem mitManterFeedBack;
    private javax.swing.JMenuItem mitManterMoradores;
    private javax.swing.JMenuItem mitManterPerfil;
    private javax.swing.JMenuItem mitManterRepublica;
    private javax.swing.JMenuItem mitManterTarefa;
    private javax.swing.JMenuItem mitRealizarEstorno;
    private javax.swing.JMenuItem mitRegistrarConclusãoTarefa;
    private javax.swing.JMenuItem mitRegistrarLancamento;
    // End of variables declaration//GEN-END:variables
}
